查询亚马逊标发结果
POST
/pb/mp/order/getFulfillmentResult此接口用于查询亚马逊标发操作的结果。单次请求最多可查询10条数据。
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/pb/mp/order/getFulfillmentResult | HTTPS | POST | 10 |
请求参数
seller_idstring必填task_idarray<any>必填返回结果
Json Object
codeinteger必填messagestring必填request_idstring必填response_timestring必填dataarray<object>必填隐藏子属性
resultarray<object>必填隐藏子属性
message_idstring必填result_codestring必填result_message_codestring必填result_descriptionstring必填task_idstring必填status_codestring必填ship_timestring必填processing_summaryobject必填隐藏子属性
messages_processedstring必填messages_successfulstring必填messages_with_errorstring必填messages_with_warningstring必填failurestring必填返回成功示例
{
"code": 0,
"message": "操作成功",
"request_id": "fb53cd0f457f40c5951b8619b77776a8.151.16759105764670001",
"response_time": "2023-02-16 10:33:40",
"data": [
{
"result": [
{
"message_id": "2725",
"result_code": "Error",
"result_message_code": "25",
"result_description": "We are unable to process the XML feed because one or more items are invalid."
}
],
"task_id": "1003085",
"status_code": "Complete",
"ship_time": "1675848605",
"processing_summary": {
"messages_processed": "1",
"messages_successful": "0",
"messages_with_error": "1",
"messages_with_warning": "0"
},
"failure": null
}
]
}
返回失败示例
{
"code": 102,
"message": "taskId任务id数组不能为空",
"response_time": "2023-02-16 10:32:57",
"request_id": "a740aa69a2fa4d2fb9cabfc81f15ccdd.149.16843781969788627",
"data": null
}